#include <minigui.ch>

Function Main

        Load Window Main
        Main.Center
        Main.Activate

Return



Function BackupData()

    LOCAL cZipFile, cFolder, aDirectory := {}, aFiles := {}
    
    cFolder := alltrim(main.lblSourceFolder.value)

    cZipFile := alltrim(main.lblDestZipFile.value)
    
    if empty(cFolder)
    	msginfo("Please select source folder")
    	return nil
    endif
    
    if empty(cZipFile)
    	msginfo("Please specify zip file")
    	return nil
    endif

    cTargetFolder := LEFT( cZipFile, RAT( "\", cZipFile ) - 1 )
            
    aDirectory := directory( cFolder+"\*.dbf")    // may be required "*.db?" for memo files 
    
    if len(aDirectory) = 0
    	msginfo("No file to backup")
    	return nil
    endif
 
    aeval(aDirectory, {|x| aadd(aFiles, cFolder+"\"+x[1])})
    
    main.pbBackup.value := 0
    main.pbBackup.visible := .T.
    
    CompressFiles( cZipFile, aFiles, { | cFile, nPos | main.pbBackup.value    := nPos/len( aFiles) * 100,;
                                                       main.StatusBar.Item(1) := cFile }, .T. )
                                                       
    main.pbBackup.value := 0
    main.pbBackup.visible := .T.
    main.StatusBar.Item(1) := ''
    
    MsgBox( "Done" )
    
	return nil



Function RestoreData()

    LOCAL cZipFile, cFolder, aDirectory := {}, aFiles := {}
 
    cZipFile := alltrim(main.lblSourceZipFile.value)
    
    if empty(cZipFile)
    	msginfo("Please select zip file")
    	return nil
    endif 
    
    main.pbRestore.value := 0
    main.pbRestore.visible := .t.
 
    UncompressFiles ( cZipFile, {|cFile,nPos| main.pbRestore.value := nPos ,;
                                              main.StatusBar.Item(1) := cFile }, .T. )
     
    main.pbRestore.value := 0
    main.pbRestore.visible := .f.
    main.StatusBar.Item(1) := ''
    
    MsgBox( "Done" )
    
	return nil
	
